Description

It would be good to have a test suite for sextante. I'm thinking of a very simple script that runs through all commands, taking a few

standard data, with default options, checks if an output is produced, and sends a report of failed commands.

Of course this approach only checks for obviously broken commands, not for correct results (this could be added later, using the

approach Tim used for make test) but it would help a lot our workflow nevertheless.

History

#1 - 2012-07-03 07:58 PM - Camilo Polymeris

- Assignee changed from Victor Olaya to Camilo Polymeris

I have added a basic test suite. Will continue to improve on that, but if there are things in particular you want to check, let me know.

#2 - 2014-10-04 12:24 PM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Category deleted (65)

#3 - 2014-10-04 12:24 PM - Giovanni Manghi

- Category set to Processing/Core

#4 - 2014-10-04 12:25 PM - Giovanni Manghi

- Assignee changed from Camilo Polymeris to Victor Olaya

#5 - 2016-01-13 01:18 AM - Alexander Bruy

- Status changed from Open to In Progress

- % Done changed from 20 to 50

- Pull Request or Patch supplied changed from No to Yes

PR is waiting for merge https://github.com/qgis/QGIS/pull/2648

#6 - 2016-02-18 11:23 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

PR was merged
